Subject: Offline Message from Dave H: I have customer with eB5 foldable. I need to hav
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 11 Jun 2022 19:03:43 -0000

From: Dave H <[email-masked]>
Phone: 2087209465
Location: Mt. Pleasant, United States
URL: https://swagtron.com/parts-accessories/page/3/
Department: SwagTron

I have customer with eB5 foldable. I need to have you send me the rear connector circuit board at the fold. The male connector board at the folding point. It is fried. I can see some melting on upper most male connector. I assume it is connector for throttle because throttle doesn't work and have replace everything else. Thank you
Mail to 
Dave Harrison
2972 Riverwood Drive
Mount pleasant  S.C. 29466
208 720 9465
[email-masked] 

----
Zopim
https://www.zopim.com